/*
 CmdList.cc - Cmd list class implementation

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "CmdList.h"


CmdList::~CmdList()
{
	// empty
}

void CmdList::execute()
{
	for ( int i = 0; i < _contents.Count(); i++ )
		_contents[i]->execute();
}
	
void CmdList::undo()
{
	for ( int i = 0; i < _contents.Count(); i++ )
		_contents[i]->undo();
}

void CmdList::activate()
{
	for ( int i = 0; i < _contents.Count(); i++ )
		_contents[i]->activate();
}

void CmdList::deactivate()
{
	for ( int i = 0; i < _contents.Count(); i++ )
		_contents[i]->deactivate();
}

void CmdList::revert()
{
	for ( int i = 0; i < _contents.Count(); i++ )
		_contents[i]->revert();
}

void CmdList::doCommand() {}
void CmdList::undoCommand() {}
